# class Byebug::InfoCommand::DisplayCommand

Information about display expressions

### Public Class Methods

description() click to toggle source

    # File lib/byebug/commands/info/display.rb, line 18
          def self.description
            <<-DESCRIPTION
              inf[o] d[display]

              #{short_description}
            DESCRIPTION
          end

regexp() click to toggle source

    # File lib/byebug/commands/info/display.rb, line 14
    def self.regexp
      /^\s* d(?:isplay)? \s*$/x
    end

short_description() click to toggle source

    # File lib/byebug/commands/info/display.rb, line 26
    def self.short_description
      "List of expressions to display when program stops"
    end

### Public Instance Methods

execute() click to toggle source

    # File lib/byebug/commands/info/display.rb, line 30
    def execute
      return puts("There are no auto-display expressions now.") unless Byebug.displays.find { |d| d[0] }

      puts "Auto-display expressions now in effect:"
      puts "Num Enb Expression"

      Byebug.displays.each_with_index do |d, i|
        interp = format(
          "%<number>3d: %<status>s  %<expression>s",
          number: i + 1,
          status: d[0] ? "y" : "n",
          expression: d[1]
        )

        puts(interp)
      end
    end